package com.ruoyi.sy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;
import java.util.Map;

/**
 * 价值观解读对象 sy_philosophy_view_type
 * 
 * @author mingxue
 * @date 2022-03-02
 */
public class SyPhilosophyViewType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 代码 */
    @Excel(name = "代码")
    private String code;

    /** 类型 */
    @Excel(name = "类型")
    private String key;

    /** 类型名称 */
    @Excel(name = "类型名称")
    private String name;

    /** 描述 */
    @Excel(name = "描述")
    private String content;

    /** 学科门类（一级专业） */
    private String matchedMajor;

    private Integer total = 0;
    private Map<String, Integer> stats;
    private Boolean matched;

    List<SyPhilosophyViewMajor> viewMajorList;


    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }


    public Boolean getMatched() {
        return matched;
    }

    public void setMatched(Boolean matched) {
        this.matched = matched;
    }


    public Map<String, Integer> getStats() {
        return stats;
    }

    public void setStats(Map<String, Integer> stats) {
        this.stats = stats;
    }

    public List<SyPhilosophyViewMajor> getViewMajorList() {
        return viewMajorList;
    }

    public void setViewMajorList(List<SyPhilosophyViewMajor> viewMajorList) {
        this.viewMajorList = viewMajorList;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setKey(String key) 
    {
        this.key = key;
    }

    public String getKey() 
    {
        return key;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setMatchedMajor(String matchedMajor) 
    {
        this.matchedMajor = matchedMajor;
    }

    public String getMatchedMajor() 
    {
        return matchedMajor;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("key", getKey())
            .append("name", getName())
            .append("content", getContent())
            .append("matchedMajor", getMatchedMajor())
            .toString();
    }
}
